Build #8 for yi-vty-0.2

[all reports]

Package yi-vty-0.2
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2017-01-04 05:30:27.485081 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, filepath-1.4.1.0, ghc-8.0.1.20161018, mtl-2.2.1, regex-posix-0.95.2, vty-5.14
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring data-default-class-0.1.2.0...
Configuring dlist-0.8.0.2...
Building dlist-0.8.0.2...
Building data-default-class-0.1.2.0...
Installed data-default-class-0.1.2.0
Configuring microlens-0.4.7.0...
Building microlens-0.4.7.0...
Configuring mtl-2.2.1...
Installed dlist-0.8.0.2
Building mtl-2.2.1...
Configuring old-locale-1.0.0.7...
Installed microlens-0.4.7.0
Building old-locale-1.0.0.7...
Configuring primitive-0.6.1.0...
Installed old-locale-1.0.0.7
Configuring parallel-3.2.1.0...
Installed mtl-2.2.1
Building primitive-0.6.1.0...
Building parallel-3.2.1.0...
Configuring stm-2.4.4.1...
Installed parallel-3.2.1.0
Building stm-2.4.4.1...
Configuring transformers-compat-0.5.1.4...
Installed primitive-0.6.1.0
Building transformers-compat-0.5.1.4...
Configuring utf8-string-1.0.1.1...
Installed stm-2.4.4.1
Building utf8-string-1.0.1.1...
Configuring data-default-instances-containers-0.0.1...
Installed transformers-compat-0.5.1.4
Building data-default-instances-containers-0.0.1...
Configuring text-1.2.2.1...
Installed data-default-instances-containers-0.0.1
Building text-1.2.2.1...
Installed utf8-string-1.0.1.1
Configuring data-default-instances-dlist-0.0.1...
Building data-default-instances-dlist-0.0.1...
Configuring data-default-instances-old-locale-0.0.1...
Installed data-default-instances-dlist-0.0.1
Building data-default-instances-old-locale-0.0.1...
Configuring microlens-th-0.4.1.0...
Installed data-default-instances-old-locale-0.0.1
Building microlens-th-0.4.1.0...
Configuring regex-base-0.93.2...
Installed microlens-th-0.4.1.0
Building regex-base-0.93.2...
Configuring vector-0.11.0.0...
Installed regex-base-0.93.2
Building vector-0.11.0.0...
Configuring microlens-mtl-0.1.10.0...
Installed text-1.2.2.1
Building microlens-mtl-0.1.10.0...
Installed microlens-mtl-0.1.10.0
Configuring data-default-0.7.1.1...
Building data-default-0.7.1.1...
Configuring regex-posix-0.95.2...
Installed data-default-0.7.1.1
Building regex-posix-0.95.2...
Configuring blaze-builder-0.4.0.2...
Installed regex-posix-0.95.2
Building blaze-builder-0.4.0.2...
Configuring hashable-1.2.5.0...
Installed blaze-builder-0.4.0.2
Building hashable-1.2.5.0...
Configuring parsec-3.1.11...
Installed hashable-1.2.5.0
Building parsec-3.1.11...
Installed vector-0.11.0.0
Installed parsec-3.1.11
Configuring vty-5.14...
Building vty-5.14...
Installed vty-5.14
Configuring yi-vty-0.2...
Building yi-vty-0.2...
Failed to install yi-vty-0.2
Build log ( /home/builder/.cabal/logs/yi-vty-0.2.log ):
cabal: Entering directory '/tmp/cabal-tmp-28709/yi-vty-0.2'
[1 of 1] Compiling Main             ( /tmp/cabal-tmp-28709/yi-vty-0.2/dist/setup/setup.hs, /tmp/cabal-tmp-28709/yi-vty-0.2/dist/setup/Main.o )
Linking /tmp/cabal-tmp-28709/yi-vty-0.2/dist/setup/setup ...
Configuring yi-vty-0.2...
Warning: No 'build-type' specified. If you do not need a custom Setup.hs or
./configure script then use 'build-type: Simple'.
Building yi-vty-0.2...
Preprocessing library yi-vty-0.2...

on the commandline: warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

Yi/Interact.hs:1:16: warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

Yi/Interact.hs:1:16: warning:
    -fallow-undecidable-instances is deprecated: use -XUndecidableInstances or pragma {-# LANGUAGE UndecidableInstances #-} instead

Yi/Keymap/Emacs/Keys.hs:1:12: warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

Yi/Keymap/Emacs/KillRing.hs:1:12: warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

Yi/Keymap/Emacs/UnivArgument.hs:1:12: warning:
    -fglasgow-exts is deprecated: Use individual extensions instead

Yi/Syntax.hs:1:12: warning:
    -#include and INCLUDE pragmas are deprecated: They no longer have any effect

Yi/Syntax/Table.hs:1:12: warning:
    -#include and INCLUDE pragmas are deprecated: They no longer have any effect

vty/Yi/UI.hs:1:12: warning:
    -#include and INCLUDE pragmas are deprecated: They no longer have any effect

dist/build/Yi/Syntax/Haskell.hs:56:0: error:
     fatal error: alex.hsinc: No such file or directory
     #include "alex.hsinc"
     ^
compilation terminated.
`gcc' failed in phase `C pre-processor'. (Exit code: 1)
cabal: Leaving directory '/tmp/cabal-tmp-28709/yi-vty-0.2'
cabal: Error: some packages failed to install:
yi-vty-0.2 failed during the building phase. The exception was:
ExitFailure 1